/* main.h - definitions for the xgsbasic main window
 *
 * Copyright (c) 2009 by David Michael Betz.  All rights reserved.
 *
 */

#ifndef __MAIN_H__
#define __MAIN_H__

#include "wx/wx.h"
#include "listener.h"

class MainFrame : public wxFrame
{
public:

    MainFrame(const wxString &title);

    void OnDownloadSelect(wxCommandEvent &event);
    void SelectDownloadMode(int mode);
    void OnPortSelect(wxCommandEvent &event);
    void SelectPort(wxString &port);

    void OnLoad(wxCommandEvent &event);
    void OnReload(wxCommandEvent &event);
    void OnQuit(wxCommandEvent &event);
    void OnAbout(wxCommandEvent &event);
    void OnClose(wxCloseEvent &event);
    void OnIdle(wxIdleEvent &event);

    void ConsolePutC(int ch);
    void ConsoleFlushOutput(void);
    void ConsoleSetInputHandler(void (*fcn)(void *data, const char *buf), void *data);

private:

    wxMenu *m_downloadMenu;
    wxMenu *m_portMenu;
    wxToolBar *m_toolBar;
    Listener *m_listener;

    DECLARE_EVENT_TABLE()
};

#endif
