/* db_vmavr.c - a simple virtual machine for the XGS AVR system
 *
 * Copyright (c) 2009 by David Michael Betz.  All rights reserved.
 *
 */

/* needs to be built with:

db_vmavr.c
db_vmfcnavr.c
db_avruart.c
../common/db_crctab.c
../common/db_packet.c
../runtime/db_vmfcn.c
../runtime/db_vmflash.c
../runtime/db_vmimage.c
../runtime/db_vmint.c
../runtime/db_vmmain.c
XGS_AVR_GAMEPAD_DRV_V010.c
XGS_AVR_GFX_DRV_V010.c
XGS_AVR_SOUND_DRV_V010.c
XGS_AVR_SYSTEM_V010.c

For the bitmap target define the symbol BITMAP_GRAPHICS and include:

db_text_v010.c
XGS_AVR_NTSC_160_192_2_V010.s

For the tile target define the symbol TILE_GRAPHICS and include:

XGS_AVR_NTSC_TILE6_V010.s

Add the following linker option to place the bootloader code at the correct address:

-Wl,--section-start=.bootloader=0xe000

*/

#include "XGS_AVR_SYSTEM_V010.h"			
#include "XGS_AVR_GFX_LIB_V010.h"
#include "XGS_AVR_GAMEPAD_DRV_V010.h"
#include "XGS_AVR_SOUND_DRV_V010.h"

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <ctype.h>
#include "../runtime/db_vm.h"
#include "../common/db_packet.h"

void VM_sysinit(void)
{
    Gamepad_Init();
    Sound_Init();
}

void VM_displayinit(void)
{
}

void VM_displaypos(int x, int y)
{
}

void VM_displaychar(int ch)
{
}

void VM_displaystr(char *str)
{
}

void VM_displaytab(void)
{
}

VMFILE *VM_fopen(const char *name, const char *mode)
{
    return NULL;
}

int VM_fclose(VMFILE *fp)
{
	return 0;
}

size_t VM_fread(void *buf, size_t count, VMFILE *fp)
{
    return 0;
}

size_t VM_fwrite(const void *buf, size_t count, VMFILE *fp)
{
    return 0;
}

int VM_fseek(VMFILE *fp, long offset, int whence)
{
    return 0;
}

long VM_ftell(VMFILE *fp)
{
    return 0;
}

